///////////////// test code for current monitoring/////////////////////
//Include Wire I2C Library
#include  <Wire.h>
int address = 42; // I2C address
double voltage = 121.7;
double tkWh = 0;
double tWh = 0;
void setup()
{
 
  Serial.begin(9600);  // Create Serial Object (9600 Baud)
  Wire.begin();

}
///////////////////////////////////// no of ch //////////////////////



/////////////////////////////////////////////////////////////////////

void loop()
{
 
    Wire.beginTransmission(address); // Start communication
    Wire.write(146); // Command header 
    Wire.write(106); // Command header 
    Wire.write(1);  // Command 1
    Wire.write(1);  // Start Channel no 
    Wire.write(1);  // End Channel no 
    Wire.write(0); 
    Wire.write(0); 
    Wire.write((146 + 106 + 1 + 1 + 1 + 0 + 0) & 255); // CheckSum
    Wire.endTransmission(); // Complete Transmission
    Wire.requestFrom(address, 5); 
   // int g =Wire.read();
   // int h =Wire.read();  
  //  Serial.print(1); 
   // Serial.print("\t");
    unsigned long MSB1 = Wire.read();
     MSB1= MSB1*65536;
    unsigned long MSB = Wire.read();
    MSB=MSB*256;
    unsigned long LSB = Wire.read();
   MSB1=MSB1+MSB+LSB;
    double current = ((double)MSB1)/(double)1000; 
   
    
    Serial.print(current,3);
    Serial.print(",");

    
    double Power = voltage * current;
    Serial.print(Power,3);
    Serial.print(",");

    
    double Wh = 0.000833 * Power;
     Serial.print(Wh,4);
    Serial.print(",");
 
    tWh = tWh + Wh;   //////////////// total kill watt hour used 
    Serial.print(tWh,4);
    Serial.print(",");
 
     tkWh = tWh/1000;  //////////////// total kill watt hour used 
    Serial.print(tkWh,4);
  

    
    Serial.print("\n");
   // delay(500);
    Wire.endTransmission(); // Complete Transmission
   
  
  delay(3000);
}
